### Method

# ICalGLib Property set_x_name

since: 1.0

#### Declaration [src]

    void
    i_cal_property_set_x_name (
      ICalProperty* prop,
      const gchar* name
    )

#### Description [src]

Sets the name of x property for the `ICalProperty`.

Available since: 1.0

#### Parameters

`name`

  Type: `const gchar*`

  The name string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.